<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous">

	<title>js intro</title>
	  <style>
      .bd-placeholder-img {
        font-size: 1.125rem;
        text-anchor: middle;
        -webkit-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
      }

      @media (min-width: 768px) {
        .bd-placeholder-img-lg {
          font-size: 3.5rem;
        }
      }
    </style>
	<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-Piv4xVNRyMGpqkS2by6br4gNJ7DXjqk09RmUpJ8jgGtD7zP9yug3goQfGII0yAns" crossorigin="anonymous"></script>
	
</head>
<body>
<div class="container">
<h2>What Can JavaScript Do?</h2>

<p>JavaScript can change HTML attribute values.</p>

<p>In this case JavaScript changes the value of the src (source) attribute of an image.</p>

<!-- <button id="btnOnOff" onclick="document.getElementById('myImage').src='pic_bulbon.gif'">Turn on the light</button> -->

<img id="myImage" src="pic_bulboff.gif" style="width:100px">

<button class="btn btn-success" id="btnOnOff" onclick="myFunctionOnOff()">Turn on the light</button>
</div> 
<script>
const myImage = document.getElementById('myImage');
const btnOnOff = document.getElementById('btnOnOff'); 
// const btn = document.getElementsByClassName("btn");
let state = false;
function myFunctionOnOff(){
	if(state===false){
		state = true ;
		btnOnOff.innerHTML='Turn off the light';
		myImage.src='pic_bulbon.gif';
		btnOnOff.className="btn btn-primary";
	}else{
		state = false ;
		btnOnOff.innerHTML='Turn on the light';
		myImage.src='pic_bulboff.gif';
		btnOnOff.className='btn btn-success';
	}
}
</script>
</body>


</html>
